## ros-melodic-ridgeback-control 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ridgeback_control)

find_package(catkin REQUIRED COMPONENTS
  controller_interface
  urdf
  realtime_tools
  tf
  nav_msgs
  roslaunch)

set(mecanum_drive_controller_sources
  src/mecanum_drive_controller.cpp
  src/odometry.cpp
  src/speed_limiter.cpp
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mecanum_drive_controller
  CATKIN_DEPENDS controller_interface realtime_tools
)

include_directories(
  include ${catkin_INCLUDE_DIRS}
)

add_library(mecanum_drive_controller ${mecanum_drive_controller_headers} ${mecanum_drive_controller_sources})
target_link_libraries(mecanum_drive_controller ${catkin_LIBRARIES})

install(TARGETS mecanum_drive_controller
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(FILES mecanum_drive_controller_plugins.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/control.launch)
  roslaunch_add_file_check(launch/teleop.launch)
endif()

## ros-melodic-ridgeback-control 0.3.0

=== debian/changelog ===
ros-melodic-ridgeback-control (0.3.0-1stretch) stretch; urgency=high

  * Fix the default device for the PS4 controller to match with the updated udev rules for bionic
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 19 May 2020 04:00:00 -0000

ros-melodic-ridgeback-control (0.2.3-1stretch) stretch; urgency=high

  * Fix controller odom bug, it works well in multi robots case now
  * Contributors: yizheng

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-ridgeback-control (0.2.2-1stretch) stretch; urgency=high

  * Changed boost::shared_ptr to urdfdom shared pointers
  * ridgeback_control: fixed missing calculation of wheels_k_ (regression from daa4bc9050f786ed092fab911dd217da6febeae0)
  * Simplify boolean logic for wheel separation checks
  * Allow URDF to be optional
  * Contributors: Catherine Wong, Chad Rockey, Johannes Meyer, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-ridgeback-control (0.2.1-1stretch) stretch; urgency=high

  * Added support for planar motion using interactive markers.
  * [ridgeback_control] Made PS4 default controller.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-ridgeback-control (0.2.0-1stretch) stretch; urgency=high

  * Removed tight default rolling window
  * Updated rolling window for odom responsiveness.  Minor changes to control and urdf syntax for kinetic
  * Updated to Package format 2.
  * [ridgeback_control] Added ability to override default control parameters with environment variables.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.10-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Jun 2017 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.9-1stretch) stretch; urgency=high

  * Updated maintainer.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Apr 2017 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.8-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.7-1stretch) stretch; urgency=high

  * Fixed teleop angular axis for PS4.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.6-1stretch) stretch; urgency=high

  * Added support for PS4 controller.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 25 May 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.5-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Apr 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.4-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Apr 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.3-1stretch) stretch; urgency=high

  * Updated URDF for physical changes.
  * Updated control limits.
  * Removed yaw estimate from robot_localization.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 02 Mar 2016 05:00:00 -0000

ros-melodic-ridgeback-control (0.1.2-1stretch) stretch; urgency=high

  * Added wheel separation override.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Dec 2015 05:00:00 -0000

ros-melodic-ridgeback-control (0.1.1-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 01 Dec 2015 05:00:00 -0000

ros-melodic-ridgeback-control (0.1.0-1stretch) stretch; urgency=high

  * Initial ridgeback release.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 Nov 2015 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-ridgeback-control
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-nav-msgs, ros-melodic-realtime-tools, ros-melodic-roslaunch, ros-melodic-tf, ros-melodic-urdf
Homepage: http://wiki.ros.org/ridgeback_control
Standards-Version: 3.9.2

Package: ros-melodic-ridgeback-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-interactive-marker-twist-server, ros-melodic-joint-state-controller, ros-melodic-joy, ros-melodic-nav-msgs, ros-melodic-realtime-tools, ros-melodic-robot-localization, ros-melodic-teleop-twist-joy, ros-melodic-tf, ros-melodic-topic-tools, ros-melodic-urdf
Description: Controllers for Ridgeback

## ros-melodic-ridgeback-control 0.3.2

=== debian/changelog ===
ros-melodic-ridgeback-control (0.3.2-1bionic) bionic; urgency=high

  * Enable subst_value when loading config_extras (#48 <https://github.com/ridgeback/ridgeback/issues/48>)
  * Add twist_mux
  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Chris I-B, Joey Yang, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-melodic-ridgeback-control (0.3.1-1bionic) bionic; urgency=high

  * add predict_to_current_time param
  * Add envar to set joy device (#44 <https://github.com/ridgeback/ridgeback/issues/44>)
    * Add the RIDGEBACK_JOY_DEVICE envar, move the control_extras to the end of control.launch so it can be used to override anything
    * Don't use the envar for the joy device when the PS3 flag is enabled
    * Add the default device for the ps3 configuration
    * Remove the joy device from the ps4 config; we explicitly set it with the envar
  * Contributors: Chris I-B, Ebrahim

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 12 Jan 2022 05:00:00 -0000

ros-melodic-ridgeback-control (0.3.0-1bionic) bionic; urgency=high

  * Fix the default device for the PS4 controller to match with the updated udev rules for bionic
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 19 May 2020 04:00:00 -0000

ros-melodic-ridgeback-control (0.2.3-1bionic) bionic; urgency=high

  * Fix controller odom bug, it works well in multi robots case now
  * Contributors: yizheng

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-ridgeback-control (0.2.2-1bionic) bionic; urgency=high

  * Changed boost::shared_ptr to urdfdom shared pointers
  * ridgeback_control: fixed missing calculation of wheels_k_ (regression from daa4bc9050f786ed092fab911dd217da6febeae0)
  * Simplify boolean logic for wheel separation checks
  * Allow URDF to be optional
  * Contributors: Catherine Wong, Chad Rockey, Johannes Meyer, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-ridgeback-control (0.2.1-1bionic) bionic; urgency=high

  * Added support for planar motion using interactive markers.
  * [ridgeback_control] Made PS4 default controller.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-ridgeback-control (0.2.0-1bionic) bionic; urgency=high

  * Removed tight default rolling window
  * Updated rolling window for odom responsiveness.  Minor changes to control and urdf syntax for kinetic
  * Updated to Package format 2.
  * [ridgeback_control] Added ability to override default control parameters with environment variables.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.10-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Jun 2017 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.9-1bionic) bionic; urgency=high

  * Updated maintainer.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Apr 2017 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.8-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.7-1bionic) bionic; urgency=high

  * Fixed teleop angular axis for PS4.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.6-1bionic) bionic; urgency=high

  * Added support for PS4 controller.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 25 May 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.5-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Apr 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.4-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Apr 2016 04:00:00 -0000

ros-melodic-ridgeback-control (0.1.3-1bionic) bionic; urgency=high

  * Updated URDF for physical changes.
  * Updated control limits.
  * Removed yaw estimate from robot_localization.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 02 Mar 2016 05:00:00 -0000

ros-melodic-ridgeback-control (0.1.2-1bionic) bionic; urgency=high

  * Added wheel separation override.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Dec 2015 05:00:00 -0000

ros-melodic-ridgeback-control (0.1.1-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 01 Dec 2015 05:00:00 -0000

ros-melodic-ridgeback-control (0.1.0-1bionic) bionic; urgency=high

  * Initial ridgeback release.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 Nov 2015 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-melodic-ridgeback-control
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-interactive-marker-twist-server, ros-melodic-joint-state-controller, ros-melodic-joy, ros-melodic-nav-msgs, ros-melodic-realtime-tools, ros-melodic-robot-localization, ros-melodic-teleop-twist-joy, ros-melodic-tf, ros-melodic-topic-tools, ros-melodic-urdf
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-interactive-marker-twist-server, ros-melodic-joint-state-controller, ros-melodic-joy, ros-melodic-nav-msgs, ros-melodic-realtime-tools, ros-melodic-robot-localization, ros-melodic-teleop-twist-joy, ros-melodic-tf, ros-melodic-topic-tools, ros-melodic-twist-mux, ros-melodic-urdf
 Description: Controllers for Ridgeback

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ridgeback-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
